diameterc(1)

NAME
diameterc - diameterc [<options>] <file>

DESCRIPTION

The diameterc utility is used to transform diameter dictionary files into Erlang source. The resulting source implements the interface diameter requires to encode and decode the dictionary's messages and AVP's.

USAGE

    diameterc [<options>] <file>:
        Transforms a single dictionary file. Valid options are as follows.

        -o <dir>:
            Specifies the directory into which the generated source should be written. Defaults to the current working directory.

        -i <dir>:
            Specifies a directory to add to the code path. Typically used to point at beam files corresponding to dictionaries included by the one being compiled (using the @includes directive): inclusion is a beam dependency, not an erl/hrl dependency.

            Multiple -i options can be specified.

        -E: Supresses erl generation.

        -H: Supresses hrl generation.

EXIT STATUS

Returns 0 on success, non-zero on failure.

BUGS

The identification of errors in the source file is poor.

SEE ALSO

diameter_dict(4)